A description of a route

### Hierarchy

- SCRoute

### Implemented by

- SCAbstractRoute
- SCBookAvailabilityRoute
- SCBulkAddRoute
- SCBulkDoneRoute
- SCBulkRoute
- SCFeedbackRoute
- SCIndexRoute
- SCMultiSearchRoute
- SCSearchRoute
- SCThingUpdateRoute

## Index

### Properties

- errorNames
- method
- obligatoryParameters
- requestBodyName
- responseBodyName
- statusCodeSuccess
- urlFragment

## Properties

### errorNames

errorNames: SCErrorResponseConstructor[]

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1469

A map of names of possible errors that can be returned by the route with their appropriate status codes

### method

method: SCRouteHttpVerbs

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1473

HTTP verb to use to request the route

### Optional obligatoryParameters

obligatoryParameters: SCMap<string>

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1477

Map of obligatory parameters and their type that have to be set via the requested path

### requestBodyName

requestBodyName: string

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1481

Name of the type of the request body

### responseBodyName

responseBodyName: string

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1485

Name of the type of the response body

### statusCodeSuccess

statusCodeSuccess: number

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1489

Status code for success

### urlFragment

urlFragment: string

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1493

URL fragment of the route

Generated using TypeDoc